<html>
    <head>
        <title>
            Calculator
        </title>
    </head>
    <body>
        <form name="Calculator" id="calc" >
            <table border = "2px">
                <tr>
                    <td colspan="3" ><input type="text" id="display"></td>
                </tr>
                <tr>
                    <td><input type="button" id="one" onClick="displayOne();" value ="1"></td><td><input type="button" id="two" onClick="displayTwo();" value ="2"></td><td><input type="button" id="three" onClick="displayThree();" value ="3"></td>
                </tr>
                <tr>
                    <td><input type="button" id="four" onClick="displayFour();" value ="4"></td><td><input type="button" id="have" onClick="displayFive();" value ="5"></td><td><input type="button" id="six" onClick="displaySix();" value ="6"></td>
                </tr>
                <tr>
                    <td><input type="button" id="seven" onClick="displaySeven();" value ="7"></td><td><input type="button" id="eight" onClick="displayEight();" value ="8"></td><td><input type="button" id="nine" onClick="displayNine();" value ="9"></td>
                </tr>
                <tr>
                    <td><input type="button" id="zero" onClick="displayZero();" value ="0"></td><td><input type="button" class="operator"  id="add" onClick="displayAdd();" value ="+"></td><td><input type="button" class="operator" id="sub" onClick="displaySub();" value ="-"></td>
                </tr>
                <tr>
                    <td><input type="button" class="operator" id="mul" onClick="displayMul();" value ="*"></td><td><input type="button" class="operator" id="div" onClick="displayDiv();" value ="/"></td><td><input type="button" class="operator" id="equ" onClick="Evaluate();" value ="="></td>
                </tr>
            </table>
        </form>
    </body>
    <script>
        function displayOne(){
            document.getElementById("display").value += 1;
        };
        function displayTwo(){
            document.getElementById("display").value += 2;
        }
        function displayThree(){
            document.getElementById("display").value += 3;
        }
        function displayFour(){
            document.getElementById("display").value += 4
        }
        function displayFive(){
            document.getElementById("display").value += 5
        }
        function displaySix(){
            document.getElementById("display").value += 6
        }
        function displaySeven(){
            document.getElementById("display").value += 7
        }
        function displayEight(){
            document.getElementById("display").value += 8
        }
        function displayNine(){
            document.getElementById("display").value += 9
        }
        function displayZero(){
            document.getElementById("display").value += 0
        }
        function displayAdd(){
            document.getElementById("display").value += '+'
        }
        function displaySub(){
            document.getElementById("display").value += '-'
        }
        function displayDiv(){
            document.getElementById("display").value += '/'
        }
        function displayMul(){
            document.getElementById("display").value += '*'
        }
        function Evaluate(){
            document.getElementById("display").value = eval(document.getElementById("display").value);
        }
        
    </script>
</html>